.ifnot hlp
.subtitle
.left margin .page
.HL 1 BASIC TEXT FORMATTING 
.endif hlp
.fill
.helpc BLANK
.q _.BLANK [-n] 
.qq _.B [-n] 
.p.x BLANK 
skips n absolute lines. _.BLANK is like _.SKIP, except that the number of
lines skipped is independent of line spacing. If the page is empty, _.BLANK
does nothing. n can be negative to move to n lines from the end of the page. 
.ifnot small
The maximum value
of n is 127 for normal spacing and 255 for half spacing. _.BLANK should not
be used to skip lines to leave room for artwork or figures because no lines
will be skipped if the current position is at the top of a page.
Values of n that are negative or greater than 6 are not allowed in footnotes
or text sections.  _.BLANK 6 will leave 1 inch of space on the page. 
.endif small
.i5;DEFAULT: _.BLANK 1
.helpc BREAK
.q _.BREAK 
.qq _.BR 
.p.x BREAK 
causes a break.  That is, the current line will be output with 
no justification, and the next word of the source text will 
be placed at the beginning of the next line. 
.bb
.q _.BREAK LINE
.qq _.BRL
.p.x BREAK>LINE
causes a break at the end of the next line.
(Useful when defining commands.)
.eb
.helpc CENTER
.q  _.CENTER [LINE][+-n] 
.qq  _.CENTRE [+-n] 
.qq _.C [LINE] [+-n] 
.p.x CENTER LINE 
.x CENTRE 
causes a break, and centers the following line of text in the source file.
If n is not specified, the centering will be halfway between the right and
left margins.  If n is specified as an absolute argument (no sign), the
centering will be over column n.  
.ifnot small
If n is a relative argument, the centering will be over the default
center plus the relative value of n.
If a _.RIGHT command has been already specified for the current line, the
_.CENTER command will be treated as an error.
Tab stops are converted to single spaces for centered lines.
.note 
The definition of n differs from the previous version of RUNOFF and DSR.
.end note 
.if hlp
.if rsx.i5;ADDITIONAL HELP AVAILABLE: TEXT
.endif rsx
.endif hlp
.helpd TEXT
.endif small
.test page 5
.q _.CENTER TEXT  [+-n] 
.qq _.C TEXT  [+-n] 
.qn _.END CENTER 
.qn _.ECN 
.x END>CENTER 
.p.x CENTER TEXT 
centers lines of text that follow until an _.END CENTER command is
encountered.
.ifnot small
_.CENTER TEXT differs from _.CENTER LINE in that will center more than 1
line of text. Centering automatically prevents filling and justification. 
The argument n has the same meaning as for _.CENTER LINE. 
(NOT available in DSR)
.endif small
.helpc FIGURE
.q   _.FIGURE [n] 
.qq _.FG n 
.p.x FIGURE
leaves n lines blank to make room for a figure or diagram. If fewer than n
lines remain on the current page, the page is advanced and n blank lines are
left at the top of the next page. _.FIGURE guarantees that n blank lines
will be generated, while ._BLANK will does not if the position happens
to be at the top or bottom of the page.
.ifnot small
If n is greater than the number of lines/page, an entirely blank page is
produced. If a figure caption follows the figure command, it may not appear on
the same page as the reserved space unless _.TEST TEXT has been used to
guarantee enough space.  To guarantee the caption and figure are on the same
page, use _.TEXT. _.FIGURE is not allowed during footnotes. If the current
page doesn't have enough space for the figure, the rest of the page is left
blank and n lines are left blank at the top of the next page.
The maximum value of n is 127 for normal spacing and 255 for half spacing. 
.endif small
.i5;DEFAULT: _.FIGURE 1
.ifnot small
.if hlp
.if RSX.i5;ADDITIONAL HELP AVAILABLE: DEFERRED
.endif rsx
.endif hlp
.helpd DEFERRED
.endif small
.q _.FIGURE DEFERRED [n]
.qq _.FGD [n]
.p.x FIGURE>DEFERRED
reserves n lines on the current page, or, if there is not enough room, n
lines at the top of the next page.  
This command differs from _.FIGURE in that if there is no room for the
figure on the current page, the current page will be filled
with text right to the bottom line.
.ifnot small
Unlike _.FIGURE, this command cannot be followed by the figure caption
unless the _.TEXT DEFERRED command is used.
_.FIGURE DEFERRED can not be used inside a footnote, note, or text section.
The maximum value of n is 127 for normal spacing and 255 for half spacing.
_.FIGURE DEFERRED is equivalent to: 
.i5;_.TEXT DEFERRED _.BLANK n _.END TEXT
.ifnot hlp
.NOTE
_.BLANK, _.SKIP, and _.FIGURE are similar commands.  If you want to
leave 1 inch of space, _.BLANK 6 would be appropriate.  If you need 3 lines
of space, _.SKIP 3 is the correct command.  If you need to leave space at the
top of a page, or need a guaranteed amount of space, use _.FIGURE or _.FIGURE
DEFERRED.  When choosing between _.SKIP and _.BLANK, remember that _.SKIP is
appropriate if you are concerned with the number of text lines to skip, where
text lines may be more than 1 physical line, whereas _.BLANK is appropriate
when the space to be left is an absolute value such as, for example, .5
inches (which is normally 3 physical lines). 
.end note
.endif hlp
.endif small
.helpc INDENT
.q _.INDENT [-n] 
.qq _.I [-n] 
.x INDENT 
.qq _.LEFT [-n]
.qq _.L [-n]
.p.x LEFT
causes a break, and sets the next line to begin n spaces to the right of
the left margin. 
.ifnot small
If the value of n is negative, the next line will begin to the left of the
left margin.
However, a line cannot begin to the left of column 0. 
.endif small
.i5;DEFAULT: _.INDENT paragraph-indentation
.helpc PARAGRAPH

.q _.PARAGRAPH [-n], [v], [t], [b]
.qq _.P [-n], [v], [t], [b] 
.p.x PARAGRAPH 
causes a break, and starts a paragraph. If n is present, it specifies
the number of spaces the paragraph is to be indented. (n can
also have a negative value). v is the vertical spacing, or number of lines
between paragraphs. v can range from 0 to 5.  t is the TEST TEXT value. If
there is not room for t lines on the page, a new page is started.
b is the bottom test value.  It specifies the minimum number of
lines allowed on the next page. 
.ifnot small
For example, if b is 2, then any paragraph that is split between two pages
will have at least 2 lines on the second page.
t and b are ignored during a text section or footnote.
_.PARAGRAPH is equivalent to:
.i5; _.SKIP v _.INDENT n _.TEST TEXT t,b
.i5;(parameter b is not available in DSR)
.if hlp 
.if RSX.s.i5;ADDITIONAL HELP AVAILABLE: SET
.endif rsx
.endif hlp
.helpd SET

.endif small
.q _.SET PARAGRAPH [-n], [v], [t], [b]
.qq _.SPR [-n], [v], [t], [b]
.p.x SET PARAGRAPH 
sets the paragraph parameters without actually starting a paragraph.
.ifnot small
The parameters specified in this command also have an effect on the following
commands: 
.keep tabs
.nj.DHY .ts +5,+15,+15,+15,+15,+15
	_.PARAGRAPH	_.LIST#ELEMENT	_.NOTE	_.PRINT#INDEX	_.DO#INDEX
.j.EHY
.s.i5;DEFAULT: _.SET#PARAGRAPH#$DEFPARIND$,$DEFPARSP$,2,2
.endif small
.helpc RIGHT
.q _.RIGHT [-n] 
.qq _.R [-n] 
.p.x RIGHT 
breaks the line, and places the text that follows flush with the right
margin if n is zero or unspecified.
If n is specified, the text is placed n spaces to the left
(n positive) or n to the right (n negative) of the right margin.
.ifnot small
If _.RIGHT is issued after _.CENTER or _.CENTER TEXT, but before _.END
CENTER, the command will be rejected with a "conflicting command" message. 
Tab stops are converted to single spaces for right justified lines.
.endif small
.q_.RIGHT TEXT [-n]
.qq_.R TEXT [-n]
.qn_.END RIGHT
.qn_.ER
.x END>RIGHT
.p.x RIGHT>TEXT
begins a section of text all of which is to be right justified.
Each input line after this command causes a break, until an _.END RIGHT
is encountered.
.helpc SKIP

.q _.SKIP [-n] 
.qq _.S [-n] 
.x SKIP 
.paragraph
skips n spaced lines. The number of blank lines produced is n times the
spacing. If the position is currently at the top of a page, _.SKIP does
nothing. 
.ifnot small
If n is larger than the number of lines left on the page, a new page is
started but no lines are skipped on it.
The maximum value of n is 127 for normal spacing and 255 for half spacing.
If n is negative, RUNOFF will skip n lines from the bottom of the page.
Negative skips will work if the position is currently at the top of a page.
Skip should not be used to leave room for artwork or figures;  use
_.FIGURE  or _.TEXT instead.
Negative skips, or skips greater than 6, are not allowed during footnotes
or text sections.  If n is not specified, it is assumed to be 1.
If the spacing is 1, _.SKIP 6 will leave 1 inch of space. If the
spacing is 2 or 3, then 2 or 3 inches will be left.
.endif small
.i5;DEFAULT: _.SKIP 1
.ifnot hlp
.lm .rm
.HL 1 FOOTNOTE / NOTE
.endif hlp
.helpc FOOTNOTE
.q  _.FOOTNOTE 
.qq _.FN 
.p.x FOOTNOTE 
saves space for a footnote. When the bottom of the page is reached, the text
following the _.FOOTNOTE command will be printed. If insufficient room remains
on the current page, the footnote continues at the bottom of the following
page. 
.ifnot small
The text of the footnote begins on the line following the
_.FOOTNOTE command, and ends with _.END FOOTNOTE. Indentation, case lock,
justify, margins, spacing, bar, and fill are preserved around footnotes. In
addition, all status is preserved.  See _.SAVE STATUS. However, commands that
affect page formatting are illegal in a footnote.  A footnote within a
footnote is also illegal. If the footnote overflows from the current page onto
the next page, it is possible that the line referring to the footnote will
also be printed on the next page. To prevent this, either preface the
_.FOOTNOTE command with a command that causes a break, or place enough text
between the reference and the command to guarantee a full line of text.
Normally _.FOOTNOTE does not draw a line between the body of the text and
the footnotes.  If you want a line to be drawn automatically, use
_.PERMANENT FOOTNOTE. 
.if hlp
.if rsx.i5;ADDITIONAL HELP AVAILABLE: END PERMANENT
.endif rsx
.endif hlp
.helpd END
.endif small
.q _.END FOOTNOTE 
.qq _.EFN
.p.x END>FOOTNOTE 
causes a break, and ends a footnote.  
.ifnot small
The previous version of RUNOFF used an exclamation point 
"!" to do this.  The exclamation point is not supported in this version. 
Each _.FOOTNOTE or _.PERMANENT FOOTNOTE command must be followed by an _.END
FOOTNOTE command.  Other versions of RUNOFF also required a parameter after
the _.FOOTNOTE command.
.helpd PERMANENT

.endif small
.q _.PERMANENT FOOTNOTE
.qq _.PFN
.p.x PERMANENT FOOTNOTE
.ifnot small
saves information for a permanent footnote header.
This command may only be issued before other footnote commands. If it
is issued and a footnote command has already been given for the
current page, an error will be generated.
.endif small
Text following this command is taken as a permanent footnote header that is
printed between the body of text on a page and the footnotes at the bottom.
Permanent margins, spacing, and fill/justify mode are also set up for
footnotes.
.ifnot small
The left margin, right margin, and spacing can be set during a permanent
footnote, and their values will be restored before every subsequent
_.FOOTNOTE command.  For example, to separate the footnote from the text
by a blank line and a divider, and to indent both margins by 2 with no
justification, you could use the following sequence of instructions:
.i5;(NOT available in DSR)
.s.i+5; _.PERMANENT FOOTNOTE
.i5;_.LEFT MARGIN +2 .RIGHT MARGIN -2 .NO JUSTIFY
.i5; _.SKIP 2;------- footnote -------
.i5; _.END FOOTNOTE
.s
A permanent footnote will not be printed at the bottom of the page if
no regular footnotes are declared.
If the permanent footnote is longer than 6 lines, it is rejected with an error
message.
.endif small
.s
.helpc NOTE
.q  _.NOTE [;][title] 
.qq _.NT [;][title]
.p.x NOTE 
formats notes.  A note is text set off from the rest of
the document by reduced margins and a centered title. 
.ifnot small
The text of the note follows the _.NOTE command, and is terminated by
an _.END NOTE command.  _.NOTE skips 2 lines, reduces both margins, centers
the title text (if no text is given, it centers the word "NOTE"), skips
1 more line, and issues a _.TEST#TEXT#t,b, where t and b are determined by
the last _.PARAGRAPH or _.SET PARAGRAPH command.
The text of the note is then printed. The same indentation
is applied to both the left and right margins. The amount of indentation
that is applied will be 20,15,10, or 5, whichever produces no more than
a 25% reduction in the text line. If the indentation produces a text line
less than the minimum, no indentation is used, and an error message is
produced.
.i5;Unlike DSR, notes may not be imbedded inside other notes.
.endif small
.q  _.END NOTE  [n]
.qq _.EN  [n]
.p.x END>NOTE 
terminates the _.NOTE command, skips n lines, and resets the margins and
spacing modes to their settings before the last _.NOTE command. 
.i5;DEFAULT: _.END NOTE 2
